> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Ottenere salute dominio

> Restituisci la diagnostica sanitaria rivolta al cliente per un dominio.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/domains/{domain}/health
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}/health:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Ottenere salute dominio
      description: Restituisci la diagnostica sanitaria rivolta al cliente per un dominio.
      operationId: >-
        get_public_domain_health_v1_public_accounts__account_id__domains__domain__health_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
        - in: query
          name: refresh
          required: false
          schema:
            default: false
            title: Refresh
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainHealthResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di convalida
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainHealthResponse:
      properties:
        cache_ttl_seconds:
          title: Cache TTL Secondi
          type: integer
        cached:
          title: Memorizzato nella cache
          type: boolean
        checked_at:
          title: Controllato a
          type: string
        checks:
          $ref: '#/components/schemas/DomainHealthChecks'
        domain_id:
          format: uuid
          title: Id dominio
          type: string
        domain_name:
          title: Nome dominio
          type: string
        summary_status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Stato riepilogativo
          type: string
        timings_ms:
          additionalProperties:
            type: integer
          title: Tempi signora
          type: object
      required:
        - summary_status
        - checked_at
        - domain_id
        - domain_name
        - cached
        - cache_ttl_seconds
        - checks
        - timings_ms
      title: DomainHealthResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    DomainHealthChecks:
      description: Risultati del sondaggio sull'integrità del dominio raggruppato.
      properties:
        dns:
          $ref: '#/components/schemas/DomainHealthDnsChecks'
        ports:
          $ref: '#/components/schemas/DomainHealthPortChecks'
        ssl:
          $ref: '#/components/schemas/DomainHealthProbeDetail'
        web:
          $ref: '#/components/schemas/DomainHealthHttpChecks'
      required:
        - dns
        - web
        - ssl
        - ports
      title: DomainHealthChecks
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    DomainHealthDnsChecks:
      additionalProperties: true
      description: Sonde sanitarie correlate a DNS.
      properties:
        a:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        dkim:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        dmarc:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Errore
        mx:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        ns:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        spf:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Stato
          type: string
      required:
        - status
      title: DomainHealthDnsChecks
      type: object
    DomainHealthPortChecks:
      additionalProperties: true
      description: Sonde di raggiungibilità delle porte del servizio di posta.
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Errore
        imap_143:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        imaps_993:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        smtp_25:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Stato
          type: string
        submission_587:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
      required:
        - status
      title: DomainHealthPortChecks
      type: object
    DomainHealthProbeDetail:
      additionalProperties: true
      description: Stato e dettagli per un'analisi dell'integrità del singolo dominio.
      properties:
        actual:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Effettivo
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: codice
        days_remaining:
          anyOf:
            - type: integer
            - type: 'null'
          title: Giorni rimanenti
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Errore
        expected:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Previsto
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: scade alle
        issuer:
          anyOf:
            - type: string
            - type: 'null'
          title: Emittente
        record:
          anyOf:
            - type: string
            - type: 'null'
          title: Record
        records:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Record
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Stato
          type: string
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Codice di stato
      required:
        - status
      title: DomainHealthProbeDetail
      type: object
    DomainHealthHttpChecks:
      additionalProperties: true
      description: Sonde di raggiungibilità HTTP e HTTPS.
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Errore
        http_root:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        http_www:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        https_root:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        https_www:
          anyOf:
            - $ref: '#/components/schemas/DomainHealthProbeDetail'
            - type: 'null'
        status:
          enum:
            - healthy
            - warning
            - critical
            - unknown
          title: Stato
          type: string
      required:
        - status
      title: DomainHealthHttpChecks
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````